<div class="wrapper">
  <div class="clear-history">
    <button mat-raised-button (click)="clearHistory()">Clear History</button>
  </div>
  <div *ngIf="showCalculations" class="table-wrapper ag-theme-alpine">
    <ag-grid-angular
      #agGrid
      class="ag-theme-alpine"
      [rowData]="calculations$ | async"
      [columnDefs]="columnDefs"
      [defaultColDef]="defaultColDef"
      [suppressCellSelection]="true"
      class="table"
    />
  </div>
</div>
